<template>
	<view class="box">
		<view class="p-row-32 white b-r-8 m-t-3" v-if="info">
			<view class="p-col-32 bottom-border flex-row flex-jus-sp flex-ali-center">
				<d-text text="肾功能" className="fs-3 tips-c"></d-text>
				<d-text text="正常" className="fs-3 content-c"></d-text>
			</view>
			<view class="p-col-32 bottom-border flex-row flex-jus-sp flex-ali-center">
				<d-text text="过敏史" className="fs-3 tips-c"></d-text>
				<d-text text="阿莫西林" className="fs-3 content-c"></d-text>
			</view>
			<view class="p-col-32 bottom-border flex-row flex-jus-sp flex-ali-center">
				<d-text text="个人病史" className="fs-3 tips-c"></d-text>
				<d-text text="无" className="fs-3 content-c"></d-text>
			</view>
			<view class="p-col-32 bottom-border flex-row flex-jus-sp flex-ali-center">
				<d-text text="家族病史" className="fs-3 tips-c"></d-text>
				<d-text text="心脏病" className="fs-3 content-c"></d-text>
			</view>
		</view>
		<d-loading-page :loading="loading"></d-loading-page>
	</view>
</template>

<script>
	import {
		baseInfo
	} from '@/api/all.js'
	export default {
		data() {
			return {
				loading: true,
				info: ''
			}
		},
		onLoad(op) {
			op['id']&&this.getInfo(op['id'])
		},
		methods: {
			getInfo(up_id=-1) {
				baseInfo({up_id}).then(() => {
					if (res.errcode == 0) {
						this.info = res.data
						this.loading = false
					} else {
						this.loading = false
					}
				})
			}
		}
	}
</script>
<style>
	page {
		background-color: #F9FAFB;
	}
</style>
<style scoped lang="scss">
	.box {
		padding: 0 20rpx;
		padding-bottom: env(safe-area-inset-bottom);
	}
</style>
